# Rapipago

## Payin by Rapipago&#x20;

<mark style="color:green;">`POST`</mark> `https://gateway-test.pagsmile.com/trade/pay`

This endpoint allows you to submit a payin by Rapipago in Argentina.

#### Headers

| Name                                            | Type   | Description                                |
| ----------------------------------------------- | ------ | ------------------------------------------ |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; chartset=UTF-8           |
| Authorization<mark style="color:red;">\*</mark> | string | Basic Base($app\_*id:$security\_*&#x6B;ey) |

#### Request Body

| Name                                                       | Type   | Description                                                                                        |
| ---------------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------- |
| app\_id<mark style="color:red;">\*</mark>                  | string | <p>created app's id at dashboard</p><p>- Max. 32 chars -</p>                                       |
| out\_trade\_no<mark style="color:red;">\*</mark>           | string | <p>ID given by the merchant in their system<br>- Max. 64 chars - </p>                              |
| notify\_url<mark style="color:red;">\*</mark>              | string | Where Pagsmile will send notification to                                                           |
| timestamp<mark style="color:red;">\*</mark>                | string | <p>yyyy-MM-dd HH:mm:ss<br>- Max. 19 chars -</p>                                                    |
| subject<mark style="color:red;">\*</mark>                  | string | <p>payment reason or item title</p><p>- Max. 128 chars -</p>                                       |
| content<mark style="color:red;">\*</mark>                  | string | <p>payment reason detail or item detail</p><p>- Max. 255 chars -</p>                               |
| method<mark style="color:red;">\*</mark>                   | string | Fixed value: Rapipago                                                                              |
| order\_amount<mark style="color:red;">\*</mark>            | string | <p>payment amount<br>- check limits <a href="/pages/10VkYvTgs08fLkqQnrUC#argentina">here</a> -</p> |
| order\_currency<mark style="color:red;">\*</mark>          | string | Fixed value: ARS                                                                                   |
| buyer\_id<mark style="color:red;">\*</mark>                | string | merchant user's id                                                                                 |
| return\_url                                                | string | Redirect to Merchant's url when user finished checkout                                             |
| customer.identify.type<mark style="color:red;">\*</mark>   | string | <p>User's identification type</p><p>- CUIT -</p>                                                   |
| customer.identify.number<mark style="color:red;">\*</mark> | string | <p>User's identification number</p><p>- CUIT: 11 digits -</p>                                      |
| customer.name<mark style="color:red;">\*</mark>            | string | User's name                                                                                        |

{% tabs %}
{% tab title="200 submit successfully" %}

<pre><code><strong>{
</strong>    "msg": "Success",
    "code": "10000",
    "out_trade_no": "202201010354006",
    "web_url": "",
    "trade_status": "PROCESSING",
    "trade_no": "2022010110293900083",
    "barcode": "53523***09",
    "due_date": "2025-12-09" //The due_date is always 7 days after creation.
    "prepay_id": "dVZCMEw1ZWlL***NrUk82OVhlbz0=-e43F87BB"   
}
</code></pre>

{% endtab %}

{% tab title="400 duplicate out\_trade\_no" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "duplicate-out_trade_no",
    "sub_msg": "out_trade_no is duplicate"
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**User payment tips**

* Use the value of **barcode** to generate a scanable barcode for faster payment.
  {% endhint %}

## Example

```
curl --location --request POST 'https://gateway-test.pagsmile.com/trade/pay' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
    * "app_id": "162************38",
    * "out_trade_no": "202201010354006",
    * "method": "Rapipago",
    * "order_amount": "50",
    * "order_currency": "ARS",
    * "subject": "trade pay test",
    * "content": "trade pay test conent",
    * "notify_url": "http://merchant/callback/success",
      "return_url": "https://www.merchant.com",
    * "buyer_id": "buyer_0101_0001",
    * "timestamp": "2022-01-01 03:54:01",
    * "customer": {
    *     "name": "Test Name",
    *     "identify": {
    *         "type": "CUIT",
    *         "number": "203***2"
      }
    }
```

{% hint style="info" %}
Note:  **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox, and **MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==** is authorization token associated with the test app id.&#x20;
{% endhint %}

{% hint style="danger" %}
Please use your own **app\_id** and generate your own **authorization token** when testing.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/payin/submit-a-payin/argentina/rapipago.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
